bs_slide:
  label: Slide
  namespace: Molecules/Bootstrap
  use: '@molecules/tm-bs/slide/slide.twig'
  description: Carousel slide
  libraries:
    - slide_lib:
        js:
          ../behaviors/slide.js: { }
        css:
          component:
            ../styles/slide.css: {weight: 10}

  fields:
    sid:
      type: text
      label: Slide ID
      preview:
        faker: lorem.slug
    title:
      type: text
      label: Title
      preview:
        faker: lorem.words
    subtitle:
      type: text
      label: Sub title
      preview:
        faker: lorem.sentence
    body:
      type: text
      label: Body
      preview:
        faker: lorem.sentences
    link_title:
      type: text
      label: Link title
      preview:
        faker: lorem.word
    link_url:
      type: text
      label: Link URL
      preview:
        faker: lorem.slug
    image:
      type: text
      label: Image
    image_src:
      type: text
      label: Image SRC
    image_alt:
      type: text
      label: Image ALT
    overlay:
      type: text
      label: Overlay image
    overlay_src:
      type: text
      label: Overlay SRC
    overlay_alt:
      type: text
      label: Overlay ALT
    slide:
      type: text
      label: Slide
    readmore:
      type: text
      label: Read more
      preview: read more...

  settings:
    link_scope:
      type: select
      label: Link Scope
      default_value: block
      preview: block
      description: Link Scope. This can be whole card or a section. Often this is
        none as the link is in the readmore.
      options:
        block: Whole block
        title: Title only
        readmore: Read more only
    link_class:
      type: textfield
      label: Link class
    disable_icon_right:
      type: boolean
      label: Disable icon right
      default_value: false
      preview: false
      description: Set to true to disable adding the chevron right icon to the title / subtitle.
    active:
      label: Active
      type: boolean
      preview: true
      default_value: true
    slide_classes:
      label: Slide class
      type: textfield
    readmore_class:
      label: Readmore class
      type: textfield
    overlay_col:
      label: Overlay colum class
      type: textfield
      preview: col-md-12
      default_value: col-md-12
